From: Jochen Sprickerhof <git@jochen.sprickerhof.de>
Date: Thu, 26 May 2016 14:44:53 +0200
Subject: Always use catkin_find in rosrun

On Debian we are sure to have a catkin workspace, even though
CMAKE_PREFIX_PATH is not set. This fixes:

rosrun nodelet nodelet
---
 tools/rosbash/scripts/rosrun | 2 --
 1 file changed, 2 deletions(-)

diff --git a/tools/rosbash/scripts/rosrun b/tools/rosbash/scripts/rosrun
index 7646334..6e4b4eb 100755
--- a/tools/rosbash/scripts/rosrun
+++ b/tools/rosbash/scripts/rosrun
@@ -65,14 +65,12 @@ function inonedir() {
   echo "no"
 }
 
-if [[ -n $CMAKE_PREFIX_PATH ]]; then
   _rosrun_IFS="$IFS"
   IFS=$'\n'
   catkin_package_libexec_dirs=($(catkin_find --without-underlays --libexec --share "$pkg_name" 2> /dev/null))
   debug "Looking in catkin libexec dirs: $IFS$(catkin_find --without-underlays --libexec --share "$pkg_name" 2>&1)"
   IFS="$_rosrun_IFS"
   unset _rosrun_IFS
-fi
 pkgdir=$(rospack find "$pkg_name")
 debug "Looking in rospack dir: $pkgdir"
 if [[ ${#catkin_package_libexec_dirs[@]} -eq 0 && -z $pkgdir ]]; then
